theoryof_mode.h File Reference

Option selection for theoryOf() operation. More...

`#include "cvc4_public.h"`
Include dependency graph for theoryof_mode.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | CVC4
namespace | CVC4::theory

## Enumerations

enum | CVC4::theory::TheoryOfMode { CVC4::theory::THEORY_OF_TYPE_BASED , CVC4::theory::THEORY_OF_TERM_BASED }
| How do we associate theories with the terms. More...

## Functions

std::ostream & | CVC4::theory::operator<< (std::ostream &out, TheoryOfMode m) throw ()

## Detailed Description

Option selection for theoryOf() operation.

    ** Original author: Dejan Jovanovic
    ** Major contributors: Morgan Deters
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Option selection for theoryOf() operation.

Definition in file theoryof_mode.h.